
package GenRGenS.master;

public class BadArgumentTypeException extends Exception
{
  private String _err = "";

  public BadArgumentTypeException(int argsNumber, String originalType, String metType, String distributionLawName)
  {
    _err = "Bad type for parameter n#"+argsNumber+" of "+distributionLawName+" : expected "+originalType+" but got "+metType+"."; 
  }
  
  public String toString()
  {
    return _err;
  }
}